PDF form import and export events in TypeScript

16 Feb 20262 minutes to read

Import/export events let users track and customize the lifecycle of form data imported into or exported from the PDF Viewer.
Use these events to:

  • validate inputs before processing
  • show progress indicators
  • log audit trails
  • block operations based on business rules

Each event provides detailed context through typed event arguments such as ImportStartEventArgs, ImportSuccessEventArgs, ImportFailureEventArgs, ExportStartEventArgs, ExportSuccessEventArgs, and ExportFailureEventArgs.

Import events

Example: Handle import events

// ...viewer initialization...
viewer.importStart = (args: any) => {
  console.log('Import started', args);
  // e.g. show spinner, validate inputs
};
viewer.importSuccess = (args: any) => {
  console.log('Import success', args);
  // e.g. hide spinner, show toast
};
viewer.importFailed = (args: any) => {
  console.error('Import failed', args);
  // e.g. show error dialog
};

Export events

Example: Handle Export Events

// ...viewer initialization...
viewer.exportStart = (args: any) => {
  console.log('Export started', args);
  // e.g. disable export UI
};
viewer.exportSuccess = (args: any) => {
  console.log('Export success', args);
  // e.g. enable UI, provide download link
};
viewer.exportFailed = (args: any) => {
  console.error('Export failed', args);
  // e.g. re-enable UI, notify user
};

Key notes

  • importStart, importSuccess, importFailed cover the full import lifecycle.
  • exportStart, exportSuccess, exportFailed cover the full export lifecycle.

See also

Syncfusion AI Assistant

How can I help you?

PDF Form Import and Export Events in Angular

3 Feb 20265 minutes to read

Import/Export events let you track and customize the entire life cycle of form data being imported into or exported from the PDF Viewer.
Use these events to:

  • Validate inputs before processing.
  • Show progress indicators.
  • Log audit trails.
  • Block operations based on business rules.

Each event provides detailed context through typed event arguments such as ImportStartEventArgs, ImportSuccessEventArgs, ImportFailureEventArgs, ExportStartEventArgs, ExportSuccessEventArgs, and ExportFailureEventArgs.

Import Events

Example: Handle Import Events

import { Component } from '@angular/core';
import {
  ToolbarService,
  MagnificationService,
  NavigationService,
  AnnotationService,
  TextSelectionService,
  TextSearchService,
  FormFieldsService,
  FormDesignerService,
  PdfViewerModule,
} from '@syncfusion/ej2-angular-pdfviewer';

@Component({
  selector: 'app-root',
  standalone: true,
  imports: [PdfViewerModule],
  template: `
    <div class="content-wrapper">
      <ejs-pdfviewer
        [resourceUrl]="resourceUrl"
        [documentPath]="document"
        (importStart)="onImportStart($event)"
        (importSuccess)="onImportSuccess($event)"
        (importFailed)="onImportFailed($event)"
        style="height: 640px; display: block;">
      </ejs-pdfviewer>
    </div>
  `,
  providers: [
    ToolbarService,
    MagnificationService,
    NavigationService,
    AnnotationService,
    TextSelectionService,
    TextSearchService,
    FormFieldsService,
    FormDesignerService,
  ],
})
export class AppComponent {
  public document = 'https://cdn.syncfusion.com/content/pdf/form-filling-document.pdf';
  public resourceUrl = 'https://cdn.syncfusion.com/ej2/31.1.23/dist/ej2-pdfviewer-lib';

  onImportStart(args: any): void {
    console.log('Import started', args);
    // e.g. show spinner, validate inputs
  }

  onImportSuccess(args: any): void {
    console.log('Import success', args);
    // e.g. hide spinner, show toast
  }

  onImportFailed(args: any): void {
    console.error('Import failed', args);
    // e.g. show error dialog
  }
}

Export Events

Example: Handle Export Events

import { Component } from '@angular/core';
import {
  ToolbarService,
  MagnificationService,
  NavigationService,
  AnnotationService,
  TextSelectionService,
  TextSearchService,
  FormFieldsService,
  FormDesignerService,
  PdfViewerModule,
} from '@syncfusion/ej2-angular-pdfviewer';

@Component({
  selector: 'app-root',
  standalone: true,
  imports: [PdfViewerModule],
  template: `
    <div class="content-wrapper">
      <ejs-pdfviewer
        [resourceUrl]="resourceUrl"
        [documentPath]="document"
        (exportStart)="onExportStart($event)"
        (exportSuccess)="onExportSuccess($event)"
        (exportFailed)="onExportFailed($event)"
        style="height: 640px; display: block;">
      </ejs-pdfviewer>
    </div>
  `,
  providers: [
    ToolbarService,
    MagnificationService,
    NavigationService,
    AnnotationService,
    TextSelectionService,
    TextSearchService,
    FormFieldsService,
    FormDesignerService,
  ],
})
export class AppComponent {
  public document = 'https://cdn.syncfusion.com/content/pdf/form-filling-document.pdf';
  public resourceUrl = 'https://cdn.syncfusion.com/ej2/31.1.23/dist/ej2-pdfviewer-lib';

  onExportStart(args: any): void {
    console.log('Export started', args);
    // e.g. disable export UI
  }

  onExportSuccess(args: any): void {
    console.log('Export success', args);
    // e.g. enable UI, provide download link
  }

  onExportFailed(args: any): void {
    console.error('Export failed', args);
    // e.g. re-enable UI, notify user
  }
}

Key Notes

  • importStart, importSuccess, importFailed cover the full import life cycle.
  • exportStart, exportSuccess, exportFailed cover the full export life cycle.

See also

Syncfusion AI Assistant

How can I help you?

PDF Form Import and Export Events in Vue

4 Feb 20265 minutes to read

Import/Export events let you track and customize the entire life cycle of form data being imported into or exported from the PDF Viewer.
Use these events to:

  • Validate inputs before processing.
  • Show progress indicators.
  • Log audit trails.
  • Block operations based on business rules.

Each event provides detailed context through event arguments such as ImportStartEventArgs, ImportSuccessEventArgs, ImportFailureEventArgs, ExportStartEventArgs, ExportSuccessEventArgs, and ExportFailureEventArgs.

Import Events

Example: Handle Import Events

<template>
  <div>
    <ejs-pdfviewer
      id="pdfViewer"
      ref="pdfviewer"
      :documentPath="documentPath"
      :resourceUrl="resourceUrl"
      @importStart="onImportStart"
      @importSuccess="onImportSuccess"
      @importFailed="onImportFailed"
      style="height:640px"
    />
  </div>
</template>

<script>
import {
  PdfViewerComponent,
  Toolbar,
  Magnification,
  Navigation,
  Annotation,
  TextSelection,
  TextSearch,
  FormFields,
  FormDesigner,
  PageOrganizer,
} from '@syncfusion/ej2-vue-pdfviewer';

export default {
  components: { 'ejs-pdfviewer': PdfViewerComponent },
  provide: { PdfViewer: [Toolbar, Magnification, Navigation, Annotation, TextSelection, TextSearch, FormFields, FormDesigner, PageOrganizer] },
  data() {
    return {
      documentPath: 'https://cdn.syncfusion.com/content/pdf/form-filling-document.pdf',
      resourceUrl: 'https://cdn.syncfusion.com/ej2/31.1.23/dist/ej2-pdfviewer-lib',
    };
  },
  methods: {
    onImportStart(args) {
      console.log('Import started', args);
      // e.g. show spinner, validate inputs
    },
    onImportSuccess(args) {
      console.log('Import success', args);
      // e.g. hide spinner, show toast
    },
    onImportFailed(args) {
      console.error('Import failed', args);
      // e.g. show error dialog
    }
  }
};
</script>

Export Events

Example: Handle Export Events

<template>
  <div>
    <ejs-pdfviewer
      id="pdfViewer"
      ref="pdfviewer"
      :documentPath="documentPath"
      :resourceUrl="resourceUrl"
      @exportStart="onExportStart"
      @exportSuccess="onExportSuccess"
      @exportFailed="onExportFailed"
      style="height:640px"
    />
  </div>
</template>

<script>
import {
  PdfViewerComponent,
  Toolbar,
  Magnification,
  Navigation,
  Annotation,
  TextSelection,
  TextSearch,
  FormFields,
  FormDesigner,
  PageOrganizer,
} from '@syncfusion/ej2-vue-pdfviewer';

export default {
  components: { 'ejs-pdfviewer': PdfViewerComponent },
  provide: { PdfViewer: [Toolbar, Magnification, Navigation, Annotation, TextSelection, TextSearch, FormFields, FormDesigner, PageOrganizer] },
  data() {
    return {
      documentPath: 'https://cdn.syncfusion.com/content/pdf/form-filling-document.pdf',
      resourceUrl: 'https://cdn.syncfusion.com/ej2/31.1.23/dist/ej2-pdfviewer-lib',
    };
  },
  methods: {
    onExportStart(args) {
      console.log('Export started', args);
      // e.g. disable export UI
    },
    onExportSuccess(args) {
      console.log('Export success', args);
      // e.g. enable UI, provide download link
    },
    onExportFailed(args) {
      console.error('Export failed', args);
      // e.g. re-enable UI, notify user
    }
  }
};
</script>

Key Notes

  • importStart, importSuccess, importFailed cover the full import life cycle.
  • exportStart, exportSuccess, exportFailed cover the full export life cycle.

See also